# Contributing to Pus

Thank you for your interest in contributing to Pus! We appreciate your help in making this project better.

Before you get started, please take a moment to review the following guidelines.

## How Can I Contribute?

### Reporting Bugs

If you encounter a bug, please create an issue on the GitHub repository. When filing a bug report, please provide as much information as possible, including:

- A clear and descriptive title.
- A detailed description of the issue.
- Steps to reproduce the bug.
- The expected behavior.
- Screenshots or error messages if applicable.

### Suggesting Enhancements

If you have an idea for an enhancement, feel free to create an issue with the "enhancement" label. Please provide:

- A clear and descriptive title.
- A detailed description of the enhancement.
- Any relevant context or examples.

### Pull Requests

We welcome your pull requests! Before submitting a pull request, please ensure the following:

1. Fork the repository and create your branch from `main`.
2. Make sure your code follows our coding standards.
3. Write clear commit messages.
4. Include relevant documentation and update it if necessary.
5. Ensure all tests pass.
6. Open a pull request with a clear title and description.

## Development Setup

If you want to edit the program, follow these steps:

1. Clone the repository: `git clone https://github.com/PusPC/Pus.git`
2. Right click the file you want to edit and choose: `edit`
3. You are now ready to edit the program.

## License

By contributing, you agree that your contributions will be licensed under the [LICENSE](LICENSE) file.

## Contact

If you have any questions or need further assistance, feel free to contact the maintainers:

- [Discussions](https://github.com/PusPC/Pus/discussions)

Thank you for your contributions!
